<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Página</span>
</div>
<div id="conteudo">

<?
if(isset($_GET['alterado'])){
	if($_GET['alterado'] == 1){
		$id 	= $_GET['id'];
		$update = "UPDATE ctd_paginas SET p_situacao = '1' WHERE p_id = $id";
		mysqli_query($conn, $update);
		mysqli_close($conn);
		echo "<p class=\"sucesso\">Publicado Com Sucesso!!</p>";
	}else{
		echo "<p class=\"erro\">Erro ao publicar. Publicado arquivo em branco.</p>";	
	}
}
?>

<!-- Formulário de busca -->
<? if($_SESSION['usuarioAdmConteudoPub']==1) { ?>
<center>Publicar Todas as Páginas: <a href="#" onclick="confirma_publicacao()"><img src="imagem/publicar.png" align="absmiddle" /></a></center>
<? } ?>

<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="p_id">ID</option>
  <option value="p_nome" selected="selected">Nome</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->

<?php
include_once("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM ctd_paginas WHERE p_id = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include_once("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM ctd_paginas ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM ctd_paginas ORDER BY p_menu ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação
?>

<table align="center" class="exibe form">
  <tr>
    <th width="1">ID</th>
    <th>Título</th>
    <th>Menu</th>
    <th width="1">Situação</th>
    <? if($_SESSION['usuarioAdmConteudoPub']==1) { ?><th width="1">Publicar</th><? } ?>
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>
  
<?
while ($linha = mysqli_fetch_array($consulta)) {
	$sql_menu = "SELECT * FROM ctd_menu WHERE m_id = {$linha['p_menu']}";
	$con_menu = mysqli_query($conn, $sql_menu);
	$sel_menu = mysqli_fetch_array($con_menu)
?>
  <tr>
    <td><?=$linha['p_id'];?></td>
    <td><?=$linha['p_nome'];?></td>
    <td><? if($linha['p_menu']>0){echo $sel_menu['m_nome'];}?></td>
    <td><? if($linha['p_situacao']==0) { echo "<img src='imagem/red_button.png' />"; } 
	else { echo "<img src='imagem/green_button.png' />"; } ?></td>
    <? if($_SESSION['usuarioAdmConteudoPub']==1) { ?>
    <td><input type="image" src="imagem/publicar.png" name="acao" onclick="location.href = 'ctd_publicar_pagina.php?id=<?=$linha['p_id'];?>'" /></td>
    <? } ?>
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'ctd_pagina_alt.php?id=<?=$linha['p_id'];?>'" /></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_pagina(<?=$linha['p_id'];?>)" /></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>